package edu.cmu.cs.l3.tree;

import edu.cmu.cs.l3.temp.*;

public class IRName extends IRExpression {

    public IRName(String name) {
	m_label = new Label(name);
	m_classname = "IRName";
    }

    public IRName(Label lbl) {
        m_label = lbl;
	m_classname = "IRName";
    }

    public String getName() {
	return m_label.toString();
    }

    public Label getLabel() {
        return m_label;
    }

    public IRExpression build(IRExpressionList l) {
	return this;
    }

    public IRExpressionList getComponents() {
	return new IRExpressionList();
    }

    public String toString() { return m_label.toString(); }

    private Label m_label;
}
